> For the complete documentation index, see [llms.txt](https://docs.momofin.com/momofin-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.momofin.com/momofin-api/reference/api-reference/documents.md).

# Documents

- [Upload document](https://docs.momofin.com/momofin-api/reference/api-reference/documents/upload-document.md)
- [Upload document with Base64 encoded data](https://docs.momofin.com/momofin-api/reference/api-reference/documents/upload-document-with-base64-encoded-data.md)
- [Download document](https://docs.momofin.com/momofin-api/reference/api-reference/documents/download-document.md)
- [Get list of sent documents](https://docs.momofin.com/momofin-api/reference/api-reference/documents/get-list-of-sent-documents.md)
- [Get list of incoming documents](https://docs.momofin.com/momofin-api/reference/api-reference/documents/get-list-of-incoming-documents.md)
- [Get document detail](https://docs.momofin.com/momofin-api/reference/api-reference/documents/get-document-detail.md)
- [Get Document Status](https://docs.momofin.com/momofin-api/reference/api-reference/documents/get-document-status.md)
- [Get signers of the document](https://docs.momofin.com/momofin-api/reference/api-reference/documents/get-signers-of-the-document.md)
- [Get original document](https://docs.momofin.com/momofin-api/reference/api-reference/documents/get-original-document.md)
- [Placement Document](https://docs.momofin.com/momofin-api/reference/api-reference/documents/placement-document.md)
- [Process document](https://docs.momofin.com/momofin-api/reference/api-reference/documents/process-document.md)
- [Delete document](https://docs.momofin.com/momofin-api/reference/api-reference/documents/delete-document.md)
- [Audit trail](https://docs.momofin.com/momofin-api/reference/api-reference/documents/audit-trail.md)
- [Get speciment](https://docs.momofin.com/momofin-api/reference/api-reference/documents/get-speciment.md)
- [Restamping meterai](https://docs.momofin.com/momofin-api/reference/api-reference/documents/restamping-meterai.md)
- [Get client balance](https://docs.momofin.com/momofin-api/reference/api-reference/documents/get-client-balance.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.momofin.com/momofin-api/reference/api-reference/documents.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
